package com.mortals.xhx.module.attendance.model.vo;

import com.mortals.framework.annotation.Excel;
import lombok.Data;

import java.util.List;

/**
 * 考勤汇总查询对象
 */
@Data
public class AttendanceSummaryQuery {
    /**
     * 汇总日期 yyyy-mm-dd
     */
    private String summaryTime;

    private String summaryTimeStart;
    private String summaryTimeEnd;

    private Long staffId;
    /**
     * 员工姓名
     */
    private String staffName;
    /**
     * 手机号码
     */
    private String phoneNumer;
    /**
     * 所属部门
     */
    private Long deptId;

    private Integer page;
    private Integer size;


    private List<String> properties;

    private List<Long> idList;

    private Integer dayOfWeek;

    public AttendanceSummaryQuery(String summaryTime) {
        this.summaryTime = summaryTime;
    }

    public AttendanceSummaryQuery() {

    }
}
