package com.mortals.xhx.module.check.service;

import com.mortals.framework.exception.AppException;
import com.mortals.framework.model.Context;
import com.mortals.framework.service.ICRUDService;
import com.mortals.xhx.module.check.dao.CheckWindowWorkmanPerformDao;
import com.mortals.xhx.module.check.model.CheckWindowWorkmanPerformEntity;
/**
* CheckWindowWorkmanPerformService
*
* 窗口人员考核汇总核查 service接口
*
* @author zxfei
* @date 2024-01-17
*/
public interface CheckWindowWorkmanPerformService extends ICRUDService<CheckWindowWorkmanPerformEntity,Long>{

    CheckWindowWorkmanPerformDao getDao();

    /**
     * 核查人工审核
     * @param entity
     * @param context
     * @throws AppException
     */
    void examine(CheckWindowWorkmanPerformEntity entity, Context context) throws AppException;
}